[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TComponent.GetParentComponent

Returns the parent component.

## Declaration

Source position: classesh.inc line 1971

`public function TComponent.GetParentComponent: TComponent; dynamic;`

## Description

GetParentComponent can be implemented to return the parent component of this component. The implementation of this method in TComponent always returns Nil. Descendant classes must override this method to return the visual parent of the component.

## See also

HasParent |  | Does the component have a parent ?
Owner |  | Owner of this component.